Get NFL play-by-play

GET/v1/nfl/games/{game_id}/play-by-play

Every snap with formation, personnel grouping, EPA, win probability change, air yards, and YAC.

Code samples

# Get live scores across every league
curl "https://api.sportapi.io/v1/nba/scores/live" \
  -H "Authorization: Bearer $API_KEY"

# Response
{
  "games": [{
    "game_id": "0022500412",
    "status": "in_progress",
    "period": 3, "clock": "07:42",
    "home": { "team": "BOS", "score": 78 },
    "away": { "team": "LAL", "score": 71 },
    "last_play": "J. Tatum makes 3-pt jumper from 25 ft"
  }]
}

Query parameters

ParameterTypeRequiredDescription
game_idstringYesNFL game ID

Response

{
  "plays": [{
    "qtr": 3, "down": 3, "distance": 7,
    "yardline": "BUF 38", "clock": "05:42",
    "description": "P. Mahomes pass deep right to T. Kelce for 38 yards, TOUCHDOWN",
    "epa": 4.21, "wpa": 0.18,
    "formation": "shotgun", "personnel": "11", "play_type": "pass",
    "air_yards": 35, "yac": 3
  }]
}

Error responses

StatusCodeDescription
401unauthorizedMissing or invalid API key
403tier_insufficientYour plan tier doesn't include this resource
429rate_limitedExceeded rate limit; honor Retry-After
500internal_errorServer error; retry with exponential backoff